Package: org.codehaus.groovy.runtime.memoize

## [Java] Enum EvictionStrategy

- org.codehaus.groovy.runtime.memoize.EvictableCache.EvictionStrategy

- Represents a eviction strategy for the cache with limited size

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `FIFO` |
    `LRU` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### EvictableCache.EvictionStrategy FIFO

    - #### EvictableCache.EvictionStrategy LRU